Debian Bug report logs - #632198
dialog: Inaccurate license statement in debian/copyright

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Michael Terry <michael.terry@canonical.com>

Date: Thu, 30 Jun 2011 14:03:09 UTC

Severity: normal

Tags: patch

Found in version dialog/1.1-20110302-1

Fixed in version dialog/1.1-20110630-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, michael.terry@canonical.com, Santiago Vila <sanvila@debian.org>:
Bug#632198; Package dialog. (Thu, 30 Jun 2011 14:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Terry <michael.terry@canonical.com>:
New Bug report received and forwarded. Copy sent to michael.terry@canonical.com, Santiago Vila <sanvila@debian.org>. (Thu, 30 Jun 2011 14:03:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Terry <michael.terry@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Inaccurate license statement in debian/copyright
Date: Thu, 30 Jun 2011 15:02:29 +0100
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 1.1-20110302-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

The license of dialog appears to be just LGPL-2.1 (that is, without the "any later version" phrasing).

Most of the C files do not have "any later version" but a couple actually do (progressbox.c, prgbox.c, as well as some of the samples).  Presumably the work as a whole is merely LGPL-2.1

But debian/copyright claims the work is LGPL-2.1+.  Here's a patch to fix that.

It may additionally be worth clarifying intent with upstream, since they use mixed licensing statements.

Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric')
Architecture: i386 (i686)

Kernel: Linux 3.0-2-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmp5AKY17 (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#632198; Package dialog. (Thu, 30 Jun 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 30 Jun 2011 20:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 632198@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Michael Terry <michael.terry@canonical.com>, 632198@bugs.debian.org
Cc: Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#632198: dialog: Inaccurate license statement in debian/copyright
Date: Thu, 30 Jun 2011 16:41:32 -0400 (EDT)
On Thu, 30 Jun 2011, Michael Terry wrote:

> Package: dialog
> Version: 1.1-20110302-1
> Severity: normal
> Tags: patch
> User: ubuntu-devel@lists.ubuntu.com
> Usertags: origin-ubuntu oneiric ubuntu-patch
>
> The license of dialog appears to be just LGPL-2.1 (that is, without the "any later version" phrasing).
>
> Most of the C files do not have "any later version" but a couple actually do (progressbox.c, prgbox.c, as well as some of the samples).  Presumably the work as a whole is merely LGPL-2.1
>
> But debian/copyright claims the work is LGPL-2.1+.  Here's a patch to fix that.

The work as a whole is LGPL-2.1 (no "later").  As a rule, I don't
write blank checks, and don't create files with vague limitations on
restrictions that can be added by others.

I can remove the "or later" from prgbox.c (thanks for the reminder). The 
text in progressbox.c was from the original author (offhand, diffstat 
shows we contributed roughly equal amounts of text), and absent a rewrite, 
I don't touch the license.

> It may additionally be worth clarifying intent with upstream, since they 
> use mixed licensing statements.
>
> Thanks for considering the patch.
>
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers oneiric-updates
>  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric')
> Architecture: i386 (i686)
>
> Kernel: Linux 3.0-2-generic (SMP w/4 CPU cores)
> Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 01 Jul 2011 16:36:15 GMT) Full text and rfc822 format available.

Notification sent to Michael Terry <michael.terry@canonical.com>:
Bug acknowledged by developer. (Fri, 01 Jul 2011 16:36:15 GMT) Full text and rfc822 format available.

Message #15 received at 632198-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 632198-close@bugs.debian.org
Subject: Bug#632198: fixed in dialog 1.1-20110630-1
Date: Fri, 01 Jul 2011 16:32:10 +0000
Source: dialog
Source-Version: 1.1-20110630-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20110630-1.debian.tar.gz
  to main/d/dialog/dialog_1.1-20110630-1.debian.tar.gz
dialog_1.1-20110630-1.dsc
  to main/d/dialog/dialog_1.1-20110630-1.dsc
dialog_1.1-20110630-1_amd64.deb
  to main/d/dialog/dialog_1.1-20110630-1_amd64.deb
dialog_1.1-20110630.orig.tar.gz
  to main/d/dialog/dialog_1.1-20110630.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Jul 2011 18:23:50 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20110630-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 632198
Changes: 
 dialog (1.1-20110630-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed debian/copyright. Dialog as a whole is under LGPL 2.1
     (without "or any later version"). Closes: #632198.
Checksums-Sha1: 
 5f269651b86bf80463619a3d245d49242f9462a2 1382 dialog_1.1-20110630-1.dsc
 65a9a145a48d578a5b8ed5959c33f29974a1d4dc 430859 dialog_1.1-20110630.orig.tar.gz
 441ad38518b3a108ceb6ff726ea1b65db4840711 10228 dialog_1.1-20110630-1.debian.tar.gz
 9a273853766039585b69c044fe6a6bb4665255aa 313058 dialog_1.1-20110630-1_amd64.deb
Checksums-Sha256: 
 68f9751a9b9f28f4f92e1ec4028216e3754c48bd3fb14e041d7217a7506c2fd9 1382 dialog_1.1-20110630-1.dsc
 5e6d73021f457cc07edacdc662b64bf161966b58203bb2a500e840081797b07b 430859 dialog_1.1-20110630.orig.tar.gz
 bfb3935ae2858be4c068d972d030ddf8c5b56e750092f6c386f71b823a8ac147 10228 dialog_1.1-20110630-1.debian.tar.gz
 f1d8a4590f73ebb591fdcb0395dec82444cdbbbf991baa2e5049d5492ebb288a 313058 dialog_1.1-20110630-1_amd64.deb
Files: 
 75704baa45f327fecc86e0b5eaa4df68 1382 misc optional dialog_1.1-20110630-1.dsc
 a7912999a985bf58ce00b222bd902afd 430859 misc optional dialog_1.1-20110630.orig.tar.gz
 f141fd297048200c61bfc05d198d628b 10228 misc optional dialog_1.1-20110630-1.debian.tar.gz
 8c1c5ea3e9e48190f61149287b7de938 313058 misc optional dialog_1.1-20110630-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJODfTrAAoJEEHOfwufG4syoHwIAKWW71xJ7X5qrt9eUOWNfv+U
WbJOjKJUb878SCqM1nrVskqrJNdLv4YplDIs16Vp5GoHq65zi+jr4jp9KRWyHPUd
7uCwAKGYkazdJh3cZvjO4lf2hV0bLDMt74wRs3092ZfdVG65ItJLNYXGb8ITdh+b
L+J5oDlC746BBX8Rh3uQolkCRG+sCYB2wsKEERj1S10qlC21jjceNRGBa1nDEF3k
CCXr/1XVeWeGN2TMNuBMmQEqUgVrO+T+2uVz/uOV1sHhqemXXQib5ea0j0iX025+
Np/UVT94xoo9Ajq9VJos7/XUG2fg4QsK2LgtD6wczLyhWivxv5kM9DJWAEjgeik=
=DK2B
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Aug 2011 07:39:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:39:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.